﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Microsoft.Win32;

namespace howto_get_desktop_icon_size
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Get the desktop icon size.
        private void btnGetSize_Click(object sender, EventArgs e)
        {
            object size_string = RegistryTools.GetRegistryValue(
                Registry.CurrentUser,
                @"Control Panel\Desktop\WindowMetrics",
                "Shell Icon Size", -1);
            txtSize.Text = size_string.ToString();
        }
    }
}
